Page MenuHomePhabricator

New upstream jvm-tools
Open, Stalled, MediumPublic

Description

The latest upstream version of jvm-tools is 0.8 0.13.0 (we are currently on 0.3.7). The new version adds support for (at least), flame graphs(!)

Wishlist / While we are here:

  • Can we make this arch all?
  • Can we make the dependency on jdk7-sdk (which openjdk-{7,8}-jdk[-headless] provides)
  • Can we include the mxdump sub-command as well?

P.S. Happy to submit a patch for this, but I was unable to locate the source repository

Event Timeline

Eevans created this task.Oct 23 2017, 8:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2017, 8:27 PM
Eevans triaged this task as Medium priority.Oct 23 2017, 8:27 PM

Indeed the source was present only as .dsc, I've imported it into https://gerrit.wikimedia.org/r/#/admin/projects/operations/debs/jvm-tools

fgiunchedi moved this task from Backlog to Radar on the User-fgiunchedi board.Oct 30 2017, 1:51 PM
Eevans moved this task from Backlog to In-Progress on the User-Eevans board.Dec 5 2017, 12:41 AM
Eevans edited projects, added Services (doing); removed Services (watching).
Eevans claimed this task.Dec 5 2017, 12:55 AM

I've taken a stab at this, but since I'm not 100% certain what the intention was, procedure-wise, I've pushed it to https://github.com/eevans/jvm-tools for the time being.

What I did:

  1. Added https://github.com/aragozin/jvm-tools.git as a Git remote
  2. Merged jvmtool-umbrella-pom-0.8.1 (the upstream tag) onto master
  3. Tagged upstream/0.8.1 -> jvmtool-umbrella-pom-0.8.1
  4. Updated debian/ accordingly

Obviously, the result doesn't lend itself well to a Gerrit changeset for review.

@fgiunchedi, was this what you had in mind?

Eevans moved this task from In-Progress to Blocked on the User-Eevans board.Dec 5 2017, 12:55 AM

Indeed @Eevans that looks good to me. Though I'm open to suggestions on e.g. branch workflow and such, the package should be buildable with gbp now.

Eevans added a subscriber: Joe.Dec 13 2017, 8:14 PM

[ ... ]

  1. Added https://github.com/aragozin/jvm-tools.git as a Git remote
  2. Merged jvmtool-umbrella-pom-0.8.1 (the upstream tag) onto master
  3. Tagged upstream/0.8.1 -> jvmtool-umbrella-pom-0.8.1
  4. Updated debian/ accordingly

Obviously, the result doesn't lend itself well to a Gerrit changeset for review.

Regarding this point, and after having discussed this a bit with @Joe and @fgiunchedi, we seem to have a reluctant consensus that if you merged directly after step #3 above (i.e. without creating a gerrit code review), then #4 could be reviewed in isolation. So the revised process would be:

  1. Add https://github.com/aragozin/jvm-tools.git (upstream source) as a Git remote
  2. Merge the apropos upstream tag onto our master
  3. Create a tag in the form upstream/{version} that points to the head merged in #2 above
  4. Push the results to ssh://gerrit.wikimedia.org:29418/operations/debs/jvm-tools
  5. Update debian/ as required
  6. Submit a code review (ala git review)
NOTE: This isn't ideal because while anyone can submit a changeset for review, only a select few have the karma necessary to push directly.

So, can someone either a) grant me the needed karma to https://gerrit.wikimedia.org/r/#/admin/projects/operations/debs/jvm-tools, or b) perform steps 1-4 above (or alternately, complete step #4 from https://github.com/eevans/jvm-tools/commit/4672fb9 where I have already performed steps 1-3).

I've completed steps 1-3 from above as suggested and pushed the result, not great in terms of coordination required but workable I think for now. If it becomes painful (i.e. more frequent updates needed) in the future we can reconsider. How does that look @Eevans ?

Eevans moved this task from Blocked to In-Progress on the User-Eevans board.Jan 2 2018, 5:37 PM
Eevans moved this task from In-Progress to Blocked on the User-Eevans board.Jun 12 2018, 5:07 PM
fgiunchedi moved this task from Radar to Backlog on the User-fgiunchedi board.Jan 2 2019, 10:37 AM
mobrovac changed the task status from Open to Stalled.Apr 29 2019, 7:56 PM
mobrovac added a subscriber: mobrovac.

@Eevans @fgiunchedi is there a plan to resume this work or should we close this ticket? Do we still want the newer jvm-tools version? I assume so, hence setting as stalled.

@Eevans @fgiunchedi is there a plan to resume this work or should we close this ticket? Do we still want the newer jvm-tools version? I assume so, hence setting as stalled.

AFAIK yes we do still want a newer jvm-tools

@Eevans Do want to move this along or has it stalled?

Eevans added a comment.EditedJul 5 2019, 9:09 PM

@Eevans Do want to move this along or has it stalled?

I'm not sure how to parse this. I would love to this done, but it is quite stalled, yes.

Eevans updated the task description. (Show Details)Jul 5 2019, 9:11 PM

I did not sentence well. I'm going to move it to one of the categories that will get triaged into Clinic Duty and hopefully we can line it up.

fgiunchedi moved this task from Backlog to Radar on the User-fgiunchedi board.Jan 13 2020, 10:08 AM